(function () {
    var _userAgent = navigator.userAgent.toLowerCase();
    if ((/windows\snt/.test(_userAgent)
        && /chrome|firefox/.test(_userAgent)) || jQuery('.gdarticle').css('-webkit-column-gap') == '1px') {
        console.log('Windows Chrome/firefox detected.');
        return jQuery;
    } else {
        return jQuery.noConflict(true)
    }
})()
(function ($) {
    /* online audio */
    setupMoreExampleAndSyn();
    hideTooltip();
    var audio = null;

    $(".audio_play_button").click(function () {

        var src_mp3 = "https://lex-audio.useremarkable.com" + $(this).attr("data-src-mp3");
        console.log(src_mp3);
        if (supportAudioHtml5())
            playHtml5(src_mp3);
        else
            playRaw(src_mp3);
    });
    

    function supportAudioHtml5() {
        var audioTag = document.createElement('audio');
        try {
            return (!!(audioTag.canPlayType)
                && ((audioTag.canPlayType("audio/mpeg") != "no" && audioTag.canPlayType("audio/mpeg") != "")));
        } catch (e) {
            return false;
        }
    }


   

    function playHtml5(src_mp3) {
        if (audio != null) {
            // PLODOMAINT-345: avoid overlapping
            if (!audio.ended) {
                audio.pause();
                if (audio.currentTime > 0) audio.currentTime = 0;
            }
        }

        //use appropriate source
        audio = new Audio("");
        if (audio.canPlayType("audio/mpeg") != "no" && audio.canPlayType("audio/mpeg") != "")
            audio = new Audio(src_mp3);
        //play
        audio.addEventListener("error", function (e) { alert("Apologies, the sound is not available."); });
        audio.play();
    }

    function playRaw(src_mp3) {
        window.open(src_mp3, "Sound", "menubar=no, status=no, scrollbars=no, menubar=no, width=200, height=100");
    }
    function setupMoreExampleAndSyn() {
        /* more examples and synonyms */
        $('.moreInformationExemples,.moreInformationSynonyms').off('click.moreInfoButton')
            .on('click.moreInfoButton',function(){
                $(this).toggleClass('current');
            });
        
    }
    function hideTooltip() {
        $('a.back-to-top').css('display','none');
    }
    
});


function js_display(s, num) { var contents = document.querySelectorAll('.dict_content_display'); var titles = document.querySelectorAll('.each_tittle_smgs'); for (var i = 0; i < contents.length; i++) { contents[i].style.display = "none"; titles[i].style.background = "#DBDBDB"; titles[i].style.color = "#0072c6"; } titles[num].style.background = "#0072c6"; titles[num].style.color = "#FFFFFF"; contents[num].style.display = "block"; }
